diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/Makefile.am smixx/Makefile.am
--- smixx_web/Makefile.am	1970-01-01 01:00:00.000000000 +0100
+++ smixx/Makefile.am	2007-03-29 17:28:06.000000000 +0200
@@ -0,0 +1,48 @@
+#
+#
+#
+AUTOMAKE_OPTIONS        = foreign subdir-objects
+ACLOCAL_AMFLAGS         = -I .
+SUBDIRS			= src smixx support debian Visual
+EXTRA_DIST		= README		\
+			  Visual
+
+origtar		       = $(distdir:@PACKAGE@-%=@PACKAGE@_%).orig.tar.gz
+
+rpm: dist
+	sudo rpmbuild -ta $(distdir).tar.gz
+
+orig:	distdir
+	mv $(distdir) $(distdir).orig
+	tardir=$(distdir).orig && $(am__tar) | \
+		GZIP=$(GZIP_ENV) gzip -c >$(origtar)
+	rm -rf $(distdir).orig
+
+deb: orig
+	$(MAKE) -C debian prep
+	mv $(origtar) ../
+	DEB_BUILD_OPTIONS="nostrip noopt" debuild -us -uc  -ICVS -i
+
+release:
+	@if test "x$(MSG)" = "x" ; then \
+	  echo "No MSG specified, please run 'make $@ MSG=\"...\"'" ; false ;\
+	fi
+	@dch -i "$(MSG)" 
+	@r=`head -n1 debian/changelog |sed 's/$(PACKAGE) ($(VERSION)-\([0-9][0-9]*\)).*/\1/'` ; \
+	  sed "s/\(Release:[[:space:]]*\)\([0-9][0-9]*\)/\1$${r}/" \
+		< support/$(PACKAGE).spec.in > support/$(PACKAGE).spec.tmp ; \
+	  echo "New release is $(VERSION)-$$r" 
+	@csplit -s -f support/$(PACKAGE).spec. support/$(PACKAGE).spec.tmp \
+		'/%changelog/+1' 
+	@d=`date "+%a %b %d %Y"` ; \
+	  m=`perl -e 'my @pw=getpwuid $$<;$$pw[6]=~s/,.*//;print $$pw[6]'`; \
+	  e=`perl -e 'my $$addr; open MAILNAME, "/etc/mailname" ; chomp($$addr=<MAILNAME>); close MAILNAME; my $$user=getpwuid $$<; $$addr="$$user\@$$addr"; print $$addr;'` ; \
+	  echo "* $$d $$m <$$e>" >> support/$(PACKAGE).spec.00 ; \
+	  echo "- $(MSG)"        >> support/$(PACKAGE).spec.00 ; \
+	  echo ""                >> support/$(PACKAGE).spec.00 ; 
+	cat support/$(PACKAGE).spec.0? > support/$(PACKAGE).spec.in
+	rm -f support/$(PACKAGE).spec.0? support/$(PACKAGE).spec.tmp
+
+#
+# EOF
+#
\ No newline at end of file
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/README smixx/README
--- smixx_web/README	2005-08-15 18:31:26.000000000 +0200
+++ smixx/README	2007-03-19 09:55:41.000000000 +0100
@@ -705,3 +705,54 @@
 
   - Commented out some prints in: scheduler.cxx, doins.cxx and insertins.cxx
     They are marked with: //CG
+
+  28-Sep-2005 (Boda Franek)
+  
+     modified stateManager/scheduler.cxx, doins.cxx and insertins.cxx
+     to handle 'suspension' of some prints properly in order to make it
+     compatible with BaBar
+=== 28-September-2005:15:35 ==========  v28r1  =================
+
+ 28-Sep-2005 --> 06-Oct-2005 (Boda Franek)
+ 
+     Many various changes to State Manager described in detail in the History
+     file. Mostly to do with removing fixed declarations. Unfortunately
+     this is not finished yet. It has become more important to have a release
+     for SLAC at the end of the months.
+ 
+=== 06-October-2005:15:38 ==========  v29  =================
+
+      Many various changes to State Manager described in detail in the History
+     file. Mostly to do with removing fixed declarations. 
+=== 20-January-2006:14:46 ==========  v29r1  =================
+
+ 31-Mar-2006  (Boda Franek)
+ 
+    - slacMake updated from SLAC
+    
+    - src/commonSource   changes to NmdPtnr class
+    
+    - src/stateManager  changes to instantiation of is_of_class type objects
+    
+    - src/translator minor changes to is_of_class type objects
+            
+    - src/tclTkGUI  new directory with an embryonic version
+
+=== 31-March-2006:17:27 ==========  v30  =================
+
+ 19-May-2006  (Boda Franek)
+ 
+  -src/stateManager  various changes to State Manager described in detail
+        in History file. Mostly to do with removing fixed declarations.
+	This concludes the removal of the important fixed declarations.
+	This justifies to have a new major tag.
+=== 19-May-2006:20:34 ==========  v31  =================
+
+ 21-May-2006 (Boda Franek)
+ 
+  -src/stateManager/ifhandler.cxx  made diagnostic prints conditional on the 
+                 value of dbg
+ 
+  -src/utilities/monObjects.cxx minor change to satisfy SLAC compiler
+  
+=== 21-May-2006:21:01 ==========  v31r1  =================
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/Visual/Makefile.am smixx/Visual/Makefile.am
--- smixx_web/Visual/Makefile.am	1970-01-01 01:00:00.000000000 +0100
+++ smixx/Visual/Makefile.am	2007-03-19 10:08:38.000000000 +0100
@@ -0,0 +1,13 @@
+EXTRA_DIST	=  domainExists.dsp		\
+		   generator.dsp		\
+		   getDomains.dsp		\
+		   getdomainobjects.dsp		\
+		   monObjects.dsp		\
+		   preprocessor.dsp		\
+		   smi_send_command.dsp		\
+		   smirtl.dsp			\
+		   smiuirtl.dsp			\
+		   smixx.dsw			\
+		   state_manager.dsp		\
+		   tellMonObjects.dsp		\
+		   translator.dsp		
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/Visual/preprocessor.dsp smixx/Visual/preprocessor.dsp
--- smixx_web/Visual/preprocessor.dsp	2004-11-11 15:09:40.000000000 +0100
+++ smixx/Visual/preprocessor.dsp	2004-03-25 15:37:58.000000000 +0100
@@ -26,7 +26,6 @@
 # PROP Scc_ProjName ""
 # PROP Scc_LocalPath ""
 CPP=cl.exe
-F90=df.exe
 RSC=rc.exe
 
 !IF  "$(CFG)" == "preprocessor - Win32 Release"
@@ -42,8 +41,9 @@
 # PROP Intermediate_Dir "../tmp"
 # PROP Ignore_Export_Lib 0
 # PROP Target_Dir ""
+F90=df.exe
 # ADD BASE CPP /nologo /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /c
-# ADD CPP /nologo /MLd /W3 /Gm /GX /ZI /Od /I "$(SMIDIR)/src/commonSource" /I "$(SMIDIR)/smixx" /D "WIN32" /D "NDEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /c
+# ADD CPP /nologo /MLd /W3 /Gm /GX /ZI /Od /I "$(SMIDIR)/src/commonSource" /D "WIN32" /D "NDEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /c
 # ADD BASE RSC /l 0x409 /d "NDEBUG"
 # ADD RSC /l 0x409 /d "NDEBUG"
 BSC32=bscmake.exe
@@ -66,6 +66,7 @@
 # PROP Intermediate_Dir "..\tmp"
 # PROP Ignore_Export_Lib 0
 # PROP Target_Dir ""
+F90=df.exe
 # ADD BASE CPP /nologo /W3 /Gm /GX /ZI /Od /D "WIN32" /D "_DEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /GZ /c
 # ADD CPP /nologo /W3 /Gm /GX /ZI /Od /I "$(SMIDIR)/src/commonSource" /D "WIN32" /D "_DEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /c
 # ADD BASE RSC /l 0x409 /d "_DEBUG"
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/Visual/smixx.dsw smixx/Visual/smixx.dsw
--- smixx_web/Visual/smixx.dsw	2005-05-26 14:04:50.000000000 +0200
+++ smixx/Visual/smixx.dsw	2007-03-19 09:55:41.000000000 +0100
@@ -15,6 +15,42 @@
 
 ###############################################################################
 
+Project: "getDomains"=.\getDomains.dsp - Package Owner=<4>
+
+Package=<5>
+{{{
+}}}
+
+Package=<4>
+{{{
+}}}
+
+###############################################################################
+
+Project: "getdomainobjects"=.\getdomainobjects.dsp - Package Owner=<4>
+
+Package=<5>
+{{{
+}}}
+
+Package=<4>
+{{{
+}}}
+
+###############################################################################
+
+Project: "monObjects"=.\monObjects.dsp - Package Owner=<4>
+
+Package=<5>
+{{{
+}}}
+
+Package=<4>
+{{{
+}}}
+
+###############################################################################
+
 Project: "preprocessor"=.\preprocessor.dsp - Package Owner=<4>
 
 Package=<5>
@@ -35,12 +71,6 @@
 
 Package=<4>
 {{{
-    Begin Project Dependency
-    Project_Dep_Name smirtl
-    End Project Dependency
-    Begin Project Dependency
-    Project_Dep_Name smiuirtl
-    End Project Dependency
 }}}
 
 ###############################################################################
@@ -81,7 +111,31 @@
 
 ###############################################################################
 
-Project: "test"=.\test.dsp - Package Owner=<4>
+Project: "tellMonObjects"=.\tellMonObjects.dsp - Package Owner=<4>
+
+Package=<5>
+{{{
+}}}
+
+Package=<4>
+{{{
+}}}
+
+###############################################################################
+
+Project: "testCXXui"=.\testCXXui.dsp - Package Owner=<4>
+
+Package=<5>
+{{{
+}}}
+
+Package=<4>
+{{{
+}}}
+
+###############################################################################
+
+Project: "testCui"=.\testCui.dsp - Package Owner=<4>
 
 Package=<5>
 {{{
Binary files smixx_web/Visual/smixx.ncb and smixx/Visual/smixx.ncb differ
Binary files smixx_web/Visual/smixx.opt and smixx/Visual/smixx.opt differ
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/Visual/translator.dsp smixx/Visual/translator.dsp
--- smixx_web/Visual/translator.dsp	2005-05-26 14:04:50.000000000 +0200
+++ smixx/Visual/translator.dsp	2004-03-25 15:38:00.000000000 +0100
@@ -43,7 +43,7 @@
 # PROP Ignore_Export_Lib 0
 # PROP Target_Dir ""
 # ADD BASE CPP /nologo /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /c
-# ADD CPP /nologo /MLd /W3 /Gm /GX /ZI /Od /I "$(SMIDIR)/src/commonSource" /I "$(SMIDIR)/smixx" /D "WIN32" /D "NDEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /c
+# ADD CPP /nologo /MLd /W3 /Gm /GX /ZI /Od /I "$(SMIDIR)/src/commonSource" /D "WIN32" /D "NDEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /c
 # ADD BASE RSC /l 0x409 /d "NDEBUG"
 # ADD RSC /l 0x409 /d "NDEBUG"
 BSC32=bscmake.exe
@@ -67,7 +67,7 @@
 # PROP Ignore_Export_Lib 0
 # PROP Target_Dir ""
 # ADD BASE CPP /nologo /W3 /Gm /GX /Zi /Od /D "WIN32" /D "_DEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /c
-# ADD CPP /nologo /W3 /Gm /GX /ZI /Od /I "$(SMIDIR)/src/commonSource" /I "$(SMIDIR)/smixx" /D "WIN32" /D "_DEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /c
+# ADD CPP /nologo /W3 /Gm /GX /ZI /Od /I "$(SMIDIR)/src/commonSource" /D "WIN32" /D "_DEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /c
 # ADD BASE RSC /l 0x409 /d "_DEBUG"
 # ADD RSC /l 0x409 /d "_DEBUG"
 BSC32=bscmake.exe
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/acinclude.m4 smixx/acinclude.m4
--- smixx_web/acinclude.m4	1970-01-01 01:00:00.000000000 +0100
+++ smixx/acinclude.m4	2006-05-16 02:29:10.000000000 +0200
@@ -0,0 +1,127 @@
+dnl -*- mode: Autoconf -*- 
+dnl
+dnl ------------------------------------------------------------------
+AC_DEFUN([AC_DEBUG],
+[
+  AC_REQUIRE([AC_PROG_CC])
+  AC_REQUIRE([AC_PROG_CXX])
+  AC_MSG_CHECKING(whether to make debug objects)
+  AC_ARG_ENABLE(debug,
+    [AC_HELP_STRING([--enable-debug],[Enable debugging symbols in objects])])
+  if test "x$enable_debug" = "xno" ; then
+    CFLAGS=`echo $CFLAGS | sed 's,-g,,'`
+    CXXFLAGS=`echo $CXXFLAGS | sed 's,-g,,'`
+  else
+    case $CXXFLAGS in
+    *-g*) ;;
+    *)    CXXFLAGS="$CXXFLAGS -g" ;;
+    esac
+    case $CFLAGS in
+    *-g*) ;;
+    *)    CFLAGS="$CFLAGS -g" ;;
+    esac
+  fi
+  AC_MSG_RESULT($enable_debug 'CFLAGS=$CFLAGS')
+])
+
+dnl ------------------------------------------------------------------
+AC_DEFUN([AC_OPTIMIZATION],
+[
+  AC_REQUIRE([AC_PROG_CC])
+  AC_REQUIRE([AC_PROG_CXX])
+
+  AC_ARG_ENABLE(optimization,
+    [AC_HELP_STRING([--enable-optimization],[Enable optimization of objects])])
+
+  AC_MSG_CHECKING(for optimiztion level)
+
+  changequote(<<, >>)dnl
+  if test "x$enable_optimization" = "xno" ; then
+    CFLAGS=`echo   $CFLAGS   | sed 's,-O\([0-9][0-9]*\|\),,'`
+    CXXFLAGS=`echo $CXXFLAGS | sed 's,-O\([0-9][0-9]*\|\),,'`
+  elif test "x$enable_optimization" = "xyes" ; then
+    case $CXXFLAGS in
+    *-O*) ;;
+    *)    CXXFLAGS="$CXXFLAGS -O2" ;;
+    esac
+    case $CFLAGS in
+    *-O*) ;;
+    *)    CFLAGS="$CXXFLAGS -O2" ;;
+    esac
+  else
+    CFLAGS=`echo   $CFLAGS   | sed "s,-O\([0-9][0-9]*\|\),-O$enable_optimization,"`
+    CXXFLAGS=`echo $CXXFLAGS | sed "s,-O\([0-9][0-9]*\|\),-O$enable_optimization,"`
+  fi
+  changequote([, ])dnl
+  AC_MSG_RESULT($enable_optimization 'CFLAGS=$CFLAGS')
+])
+
+dnl ------------------------------------------------------------------
+dnl
+dnl AC_ROOT_DIM([MINIMUM-VERSION 
+dnl                   [,ACTION-IF_FOUND 
+dnl                    [, ACTION-IF-NOT-FOUND]])
+AC_DEFUN([AC_ROOT_DIM],
+[
+    AC_ARG_WITH([dim-prefix],
+        [AC_HELP_STRING([--with-dim-prefix],
+		[Prefix where DIM is installed])],
+        dim_prefix=$withval, dim_prefix="")
+
+    if test "x${DIM_CONFIG+set}" != xset ; then 
+        if test "x$dim_prefix" != "x" ; then 
+	    DIM_CONFIG=$dim_prefix/bin/dim-config
+	fi
+    fi   
+    if test "x${DIM_CONFIG+set}" != xset ; then 
+        if test "x$dim_prefix" != "x" ; then 
+	    DIM_CONFIG=$dim_prefix/bin/dim-config
+	fi
+    fi   
+    AC_PATH_PROG(DIM_CONFIG, dim-config, no)
+    dim_min_version=ifelse([$1], ,0.1,$1)
+    
+    AC_MSG_CHECKING(for DIM version >= $dim_min_version)
+
+    dim_found=no    
+    if test "x$DIM_CONFIG" != "xno" ; then 
+       DIM_CFLAGS=`$DIM_CONFIG --cflags`
+       DIM_CPPFLAGS=`$DIM_CONFIG --cppflags`
+       DIM_INCLUDEDIR=`$DIM_CONFIG --includedir`
+       DIM_LIBS=`$DIM_CONFIG --libs`
+       DIM_LIBDIR=`$DIM_CONFIG --libdir`
+       DIM_LDFLAGS=`$DIM_CONFIG --ldflags`
+       DIM_PREFIX=`$DIM_CONFIG --prefix`
+       DIM_JNILIBS=`$DIM_CONFIG --libs`
+       
+       dim_version=`$DIM_CONFIG -V` 
+       dim_vers=`echo $dim_version | \
+         awk 'BEGIN { FS = " "; } \
+	   { printf "%d", ($''1 * 1000 + $''2) * 1000 + $''3;}'`
+       dim_regu=`echo $dim_min_version | \
+         awk 'BEGIN { FS = " "; } \
+	   { printf "%d", ($''1 * 1000 + $''2) * 1000 + $''3;}'`
+       if test $dim_vers -ge $dim_regu ; then 
+            dim_found=yes
+       fi
+    fi
+    AC_MSG_RESULT($dim_found - is $dim_version) 
+  
+    if test "x$dim_found" = "xyes" ; then 
+        ifelse([$2], , :, [$2])
+    else 
+        ifelse([$3], , :, [$3])
+    fi
+    AC_SUBST(DIM_PREFIX)
+    AC_SUBST(DIM_CFLAGS)
+    AC_SUBST(DIM_CPPFLAGS)
+    AC_SUBST(DIM_INCLUDEDIR)
+    AC_SUBST(DIM_LDFLAGS)
+    AC_SUBST(DIM_LIBDIR)
+    AC_SUBST(DIM_LIBS)
+    AC_SUBST(DIM_JNILIBS)
+])
+
+dnl
+dnl EOF
+dnl 
Binary files smixx_web/bin/smiGen.exe and smixx/bin/smiGen.exe differ
Binary files smixx_web/bin/smiPreproc.exe and smixx/bin/smiPreproc.exe differ
Binary files smixx_web/bin/smiSM.exe and smixx/bin/smiSM.exe differ
Binary files smixx_web/bin/smiTrans.exe and smixx/bin/smiTrans.exe differ
Binary files smixx_web/bin/smi_send_command.exe and smixx/bin/smi_send_command.exe differ
Binary files smixx_web/bin/smirtl.dll and smixx/bin/smirtl.dll differ
Binary files smixx_web/bin/smirtl.exp and smixx/bin/smirtl.exp differ
Binary files smixx_web/bin/smirtl.lib and smixx/bin/smirtl.lib differ
Binary files smixx_web/bin/smiuirtl.dll and smixx/bin/smiuirtl.dll differ
Binary files smixx_web/bin/smiuirtl.exp and smixx/bin/smiuirtl.exp differ
Binary files smixx_web/bin/smiuirtl.lib and smixx/bin/smiuirtl.lib differ
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/changes smixx/changes
--- smixx_web/changes	1970-01-01 01:00:00.000000000 +0100
+++ smixx/changes	2007-03-19 09:51:44.000000000 +0100
@@ -0,0 +1,407 @@
+Index: src/EXAMPLES/run_control/evt_builder.c
+===================================================================
+RCS file: /local/reps/lhcbonline/smixx/src/EXAMPLES/run_control/evt_builder.c,v
+retrieving revision 1.1
+diff -w -u -r1.1 evt_builder.c
+--- src/EXAMPLES/run_control/evt_builder.c	7 May 2002 15:58:46 -0000	1.1
++++ src/EXAMPLES/run_control/evt_builder.c	19 Mar 2007 08:51:34 -0000
+@@ -12,7 +12,10 @@
+ 	char proxy_name[64];
+ 	void handle_command();
+ 	smi_volatile();
++	if (argc > 1) 
+ 	sprintf(proxy_name,"%s::EVT_BUILDER",argv[1]);
++	else 
++	  sprintf(proxy_name, "MINI_RUN::EVT_BUILDER");
+ 	smi_attach(proxy_name, handle_command);
+ 	num = 1;
+ 	smi_set_par("NUMBER_T", &num, SMI_INTEGER);
+@@ -35,6 +38,7 @@
+ set_in_error(tag)
+ int tag;
+ {
++  	printf("Setting error due to timeout\n");
+ 	smi_set_state("ERROR");
+ 	Timer_on = 0;
+ }
+Index: src/EXAMPLES/run_control/evt_builder_cpp.cxx
+===================================================================
+RCS file: /local/reps/lhcbonline/smixx/src/EXAMPLES/run_control/evt_builder_cpp.cxx,v
+retrieving revision 1.1
+diff -w -u -r1.1 evt_builder_cpp.cxx
+Index: src/EXAMPLES/run_control/logger.c
+===================================================================
+RCS file: /local/reps/lhcbonline/smixx/src/EXAMPLES/run_control/logger.c,v
+retrieving revision 1.2
+diff -w -u -r1.2 logger.c
+--- src/EXAMPLES/run_control/logger.c	27 May 2004 14:33:02 -0000	1.2
++++ src/EXAMPLES/run_control/logger.c	19 Mar 2007 08:51:34 -0000
+@@ -9,7 +9,10 @@
+ 	char proxy_name[64];
+ 	void handle_command();
+ 	smi_volatile();
++	if (argc > 1)
+ 	sprintf(proxy_name,"%s::LOGGER",argv[1]);
++	else 
++	  sprintf(proxy_name,"MINI_RUN::LOGGER");
+ 	smi_attach(proxy_name, handle_command);
+ 	smi_set_state("NOT_LOGGING");
+ /*
+Index: src/EXAMPLES/run_control/run_con.smi
+===================================================================
+RCS file: /local/reps/lhcbonline/smixx/src/EXAMPLES/run_control/run_con.smi,v
+retrieving revision 1.1
+diff -w -u -r1.1 run_con.smi
+--- src/EXAMPLES/run_control/run_con.smi	7 May 2002 15:58:47 -0000	1.1
++++ src/EXAMPLES/run_control/run_con.smi	19 Mar 2007 08:51:34 -0000
+@@ -1,3 +1,31 @@
++# 1 "EXAMPLES/run_control/run_con.smi"
++# 1 "<built-in>"
++# 1 "<command line>"
++# 1 "EXAMPLES/run_control/run_con.smi"
++# 1 "EXAMPLES/run_control/run_con.smi"
++# 1 "<built-in>"
++# 1 "<command line>"
++# 1 "EXAMPLES/run_control/run_con.smi"
++# 1 "EXAMPLES/run_control/run_con.smi"
++# 1 "<built-in>"
++# 1 "<command line>"
++# 1 "EXAMPLES/run_control/run_con.smi"
++# 1 "EXAMPLES/run_control/run_con.smi"
++# 1 "<built-in>"
++# 1 "<command line>"
++# 1 "EXAMPLES/run_control/run_con.smi"
++# 1 "EXAMPLES/run_control/run_con.smi"
++# 1 "<built-in>"
++# 1 "<command line>"
++# 1 "EXAMPLES/run_control/run_con.smi"
++# 1 "EXAMPLES/run_control/run_con.smi"
++# 1 "<built-in>"
++# 1 "<command line>"
++# 1 "EXAMPLES/run_control/run_con.smi"
++# 1 "EXAMPLES/run_control/run_con.smi"
++# 1 "<built-in>"
++# 1 "<command line>"
++# 1 "EXAMPLES/run_control/run_con.smi"
+ object: AUTO_PILOT
+ 	state: off
+ 		action: ACTIVATE			
+@@ -93,4 +121,3 @@
+ 		action: STOP
+ 	state: ERROR
+ 		action: RECOVER
+-
+Index: src/generator/generator.c
+===================================================================
+RCS file: /local/reps/lhcbonline/smixx/src/generator/generator.c,v
+retrieving revision 1.2
+diff -w -u -r1.2 generator.c
+--- src/generator/generator.c	7 May 2002 15:51:03 -0000	1.2
++++ src/generator/generator.c	19 Mar 2007 08:51:34 -0000
+@@ -352,7 +352,9 @@
+ */
+ 	for(i = 0; i < (int)strlen(Curr_object); i++)
+ 	{
++#ifndef unix
+ 		aux[i] = tolower(Curr_object[i]);
++#endif
+ 	}	
+ 	aux[i] = '\0';
+ /*
+@@ -790,7 +792,9 @@
+ 
+ 	for(i = 0; i < (int)strlen(Curr_object); i++)
+ 	{
++#ifndef unix
+ 		file_name[i] = tolower(Curr_object[i]);
++#endif
+ 	}	
+ 	file_name[i] = '\0';
+ 	strcpy(str,file_name);
+@@ -938,7 +942,9 @@
+ 	}
+ 	for(i = 0; i < (int)strlen(Curr_object); i++)
+ 	{
++#ifndef unix
+ 		file_name[i] = tolower(Curr_object[i]);
++#endif
+ 	}	
+ 	file_name[i] = '\0';
+ 
+@@ -1079,6 +1085,21 @@
+ 	return(0);
+ }
+ 
++void usage()
++{
++	printf("\nsmiGen [options] file\n\n");
++	printf("DESCRIPTION:\n");
++	printf("\tsmiGen Generates Proxy skelettons from the SML code \".SMI\"\n");
++	printf("\tand include files containing SMI object headers\n");
++	printf("\tPossible Options:\n");
++	printf("\t\t-p\tGenerate Proxies\n");
++	printf("\t\t-c\tGenerate Proxies in \"C\"\n");
++	printf("\t\t-C\tGenerate Proxies in \"C++\" (default)\n");
++	printf("\t\t-m\tGenerate a makefile for the proxies\n");
++	printf("\t\t-i\tGenerate include files for SMI objects\n");
++	exit(0);
++}
++
+ int main(argc,argv)
+ int argc;
+ char **argv;										
+@@ -1092,17 +1113,7 @@
+ 
+ 	if(argc < 2)
+ 	{
+-		printf("\nsmiGen [options] file\n\n");
+-		printf("DESCRIPTION:\n");
+-		printf("\tsmiGen Generates Proxy skelettons from the SML code \".SMI\"\n");
+-		printf("\tand include files containing SMI object headers\n");
+-		printf("\tPossible Options:\n");
+-		printf("\t\t-p\tGenerate Proxies\n");
+-		printf("\t\t-c\tGenerate Proxies in \"C\"\n");
+-		printf("\t\t-C\tGenerate Proxies in \"C++\" (default)\n");
+-		printf("\t\t-m\tGenerate a makefile for the proxies\n");
+-		printf("\t\t-i\tGenerate include files for SMI objects\n");
+-		exit(0);
++	  	usage();
+ 	}
+ 	for(i = 1; i < argc; i++)
+ 	{
+@@ -1111,6 +1122,7 @@
+ 		{
+ 			switch(strin[1])
+ 			{
++				case 'h': usage(); break;
+ 				case 'p':
+ 					Proxy_flag = 1;
+ 					break;
+@@ -1138,7 +1150,9 @@
+ 	}
+ 	for(i = 0; i < (int)strlen(path); i++)
+ 	{
++#ifndef unix
+ 		path[i] = tolower(path[i]);
++#endif
+ 		if((path[i] == '/') || (path[i] == ']'))
+ 			index = i+1;
+ 	}	
+Index: src/generator/smimake.c
+===================================================================
+RCS file: /local/reps/lhcbonline/smixx/src/generator/smimake.c,v
+retrieving revision 1.1.1.1
+diff -w -u -r1.1.1.1 smimake.c
+--- src/generator/smimake.c	16 May 2001 07:13:23 -0000	1.1.1.1
++++ src/generator/smimake.c	19 Mar 2007 08:51:34 -0000
+@@ -1,4 +1,22 @@
+ #include <stdio.h>
++#include <stdlib.h>
++#include <string.h>
++
++void usage()
++{
++  	printf("\nsmiMake [options] file\n\n");
++	printf("DESCRIPTION:\n");
++	printf("\tsmiMake Optionally generates Proxy skelettons\n"); 
++	printf("\tand include files containing SMI object headers\n");
++	printf("\tthen preprocesses and translates the \".SML\" code\n");
++	printf("\tPossible Options:\n");
++	printf("\t\t-gp\tGenerate Proxies\n");
++	printf("\t\t-gi\tGenerate include files for SMI objects\n");
++	printf("\t\t-c\t(if -gp)Generate Proxies in \"C\" \n");
++	printf("\t\t-C\t(if -gp)Generate Proxies in \"C++\" (default)\n");
++	printf("\t\t-m\t(if -gp)Generate a makefile for the proxies\n");
++	exit(1);
++}
+ 
+ main(argc,argv)
+ int argc;
+@@ -15,37 +33,12 @@
+ char cmnd_path[128];
+ int gen_flag = 0;
+ int ret;
++int verbose = 0;
+ 
+ 	if(argc < 2)
+ 	{
+-		printf("\nsmiMake [options] file\n\n");
+-		printf("DESCRIPTION:\n");
+-		printf("\tsmiMake Optionally generates Proxy skelettons\n"); 
+-		printf("\tand include files containing SMI object headers\n");
+-		printf("\tthen preprocesses and translates the \".SML\" code\n");
+-		printf("\tPossible Options:\n");
+- 		printf("\t\t-gp\tGenerate Proxies\n");
+- 		printf("\t\t-gi\tGenerate include files for SMI objects\n");
+- 		printf("\t\t-c\t(if -gp)Generate Proxies in \"C\" \n");
+-		printf("\t\t-C\t(if -gp)Generate Proxies in \"C++\" (default)\n");
+-		printf("\t\t-m\t(if -gp)Generate a makefile for the proxies\n");
+- 		exit(1);
++	  	usage();
+ 	}
+-#ifdef unix 
+-
+-	if( (ptr = getenv("SMIDIR")) == NULL )
+-	{
+-		printf("Environment variable SMIDIR not defined\n");
+-		exit(0);
+-	}
+-	strcpy(smidir,ptr);
+-	if( (ptr = getenv("XDIR")) == NULL )
+-	{
+-		printf("Environment variable XDIR not defined\n");
+-		exit(0);
+-	}
+-	strcpy(xdir,ptr);
+-#endif
+ 	strcpy(cmnd,"smiGen");
+ 	for(i = 1; i < argc; i++)
+ 	{
+@@ -54,6 +47,8 @@
+ 		{
+ 			switch(strin[1])
+ 			{
++			  	case 'v': verbose = 1; break;	
++			  	case 'h': usage(); break;
+ 				case 'g':
+ 					if(strin[2] == 'p')
+ 					{
+@@ -85,7 +80,9 @@
+ 	}
+ 	for(i = 0; i < strlen(path); i++)
+ 	{
++#ifndef unix
+ 		path[i] = tolower(path[i]);
++#endif
+ 		if((path[i] == '/') || (path[i] == ']'))
+ 			index = i+1;
+ 	}	
+@@ -101,18 +98,13 @@
+ 	strcat(cmnd,path);
+ 	strcat(cmnd,in_file);
+ 	strcat(cmnd,ext);
+-/*
+-	printf("Executing : %s\n",cmnd);
+-*/
+-#ifdef unix
+-	sprintf(cmnd_path,"%s/generator/%s/%s",smidir,xdir,cmnd);
+-	ret = system(cmnd_path);
+-#else
++
++	if (verbose) printf("Executing : %s\n",cmnd);
+ 	ret = system(cmnd);
+-#endif
++
+ 	if(ret > 1)
+ 		exit(0);
+-	printf("Creating : %s%s.sobj\n",path,in_file);
++	if (verbose) printf("Creating : %s%s.sobj\n",path,in_file);
+ 	strcpy(cmnd,"smiPreproc ");
+ 	strcat(cmnd,path);
+ 	strcat(cmnd,in_file);
+@@ -121,36 +113,24 @@
+ 	strcat(cmnd,path);
+ 	strcat(cmnd,in_file);
+ 	strcat(cmnd,".smi");
+-/*
+-	printf("Executing : %s\n",cmnd);
+-*/
+-#ifdef unix
+-	sprintf(cmnd_path,"%s/preprocessor/%s/%s",smidir,xdir,cmnd);
+-	ret = system(cmnd_path);
+-#else
++
++	if (verbose) printf("Executing : %s\n",cmnd);
+ 	ret = system(cmnd);
+-#endif
+-#ifdef unix
+-	strcpy(cmnd,"smiTransf ");
+-#else
++
+ 	strcpy(cmnd,"smiTrans ");
+-#endif
+ 	strcat(cmnd,path);
+ 	strcat(cmnd,in_file);
+ 	strcat(cmnd,".smi");
+-/*
+-	printf("Executing : %s\n",cmnd);
+-*/
++
+ #ifdef unix
+ 	sprintf(cmnd_path,"rm %s%s.sobj",path,in_file);
++	if (verbose) printf("Executing : %s\n",cmnd_path);
+ 	ret = system(cmnd_path);
+ #endif
+-#ifdef unix
+-	sprintf(cmnd_path,"%s/ftranslator/%s/%s",smidir,xdir,cmnd);
+-	ret = system(cmnd_path);
+-#else
++
++	if (verbose) printf("Executing : %s\n",cmnd);
+ 	ret = system(cmnd);
+-#endif
++
+ 	if(strcmp(ext,".smi"))
+ 	{
+ #ifdef unix
+@@ -158,6 +138,7 @@
+ #else
+ 		sprintf(cmnd_path,"del %s%s.smi",path,in_file);
+ #endif
++		if (verbose) printf("Executing : %s\n",cmnd_path);
+ 		ret = system(cmnd_path);
+ 	}
+ }
+Index: src/utilities/getObjectState.cxx
+===================================================================
+RCS file: /local/reps/lhcbonline/smixx/src/utilities/getObjectState.cxx,v
+retrieving revision 1.1
+diff -w -u -r1.1 getObjectState.cxx
+--- src/utilities/getObjectState.cxx	25 Nov 2004 15:58:19 -0000	1.1
++++ src/utilities/getObjectState.cxx	19 Mar 2007 08:51:34 -0000
+@@ -22,6 +22,9 @@
+         cerr << "Error No object specified" << endl;
+         exit(1);
+     }
++    if ( argc > 2) {
++        putenv("DIM_DNS_NODE", argv[2]);
++    }
+     
+     if ( getenv("DIM_DNS_NODE") == 0 ) {
+         cerr << "***Error getObjectState DIM_DNS_NODE is undefined" << endl;
+Index: src/utilities/monObjectState.cxx
+===================================================================
+RCS file: /local/reps/lhcbonline/smixx/src/utilities/monObjectState.cxx,v
+retrieving revision 1.1
+diff -w -u -r1.1 monObjectState.cxx
+--- src/utilities/monObjectState.cxx	25 Nov 2004 15:58:19 -0000	1.1
++++ src/utilities/monObjectState.cxx	19 Mar 2007 08:51:34 -0000
+@@ -46,6 +46,10 @@
+         exit(1);
+     }
+     
++    if ( argc > 2) {
++        putenv("DIM_DNS_NODE", argv[2]);
++    }
++    
+     if ( getenv("DIM_DNS_NODE") == 0 ) {
+         cerr << "***Error getObjectState DIM_DNS_NODE is undefined" << endl;
+         exit(11);
+Index: src/utilities/monObjects.cxx
+===================================================================
+RCS file: /local/reps/lhcbonline/smixx/src/utilities/monObjects.cxx,v
+retrieving revision 1.5
+diff -w -u -r1.5 monObjects.cxx
+--- src/utilities/monObjects.cxx	20 Jan 2006 13:45:43 -0000	1.5
++++ src/utilities/monObjects.cxx	19 Mar 2007 08:51:34 -0000
+@@ -247,6 +247,10 @@
+     }
+ // This is the real thing...check the dns server
+     
++    if ( argc > 3) {
++        putenv("DIM_DNS_NODE", argv[3]);
++    }
++    
+     if ( getenv("DIM_DNS_NODE") == 0 ) {
+         cerr << "***Error monObjects DIM_DNS_NODE is undefined" << endl;
+         exit(11);
diff -xconfig -xrename -xgetDomains -xdomainExists -xgetSmiVersions -x'*-stamp' -x'config.*' -xCVS -x.cvsignore -xMakefile -x'.#*' -xtmp -xupdate.sh -xproxyExists -xlistDomain -xsmixx-31.01.tar.gz -xMakefile.in -xconfigure -xaclocal.m4 -r -w -u -N smixx_web/configure.ac smixx/configure.ac
--- smixx_web/configure.ac	1970-01-01 01:00:00.000000000 +0100
+++ smixx/configure.ac	2007-03-19 10:12:50.000000000 +0100
@@ -0,0 +1,95 @@
+dnl
+dnl
+dnl
+AC_INIT([State Management Interface], [31.01], [Clara.Gaspar@cern.ch], smixx)
+AC_PREREQ(2.50)
+AC_CONFIG_AUX_DIR(config)
+AC_CANONICAL_TARGET
+AM_INIT_AUTOMAKE([foreign subdir-objects])
+sovers=1
+AC_SUBST(sovers)
+
+dnl
+dnl __________________________________________________________________
+AC_PROG_CC
+AM_PROG_CC_C_O
+AC_PROG_CXX
+AC_PROG_LIBTOOL
+
+case $target_os in 
+sun*)
+	AC_DEFINE([sunos])
+	;;
+solaris*)
+	AC_DEFINE([solaris])
+	;;
+hp-ux*)
+	AC_DEFINE([hpux])
+	AC_DEFINE([defBool])
+	CXXFLAGS="$CXXFLAGS +a1"
+	;;		      
+osf*)
+	AC_DEFINE([osf])
+	;;
+aix*)	
+	AC_DEFINE([aix])
+	AC_DEFINE([unix])
+	AC_DEFINE([_BSD])
+	;;
+lynxos*)
+	AC_DEFINE([LYNXOS])
+	AC_DEFINE([unix])
+	case $target_cpu in 
+	rs6000)
+		AC_DEFINE([RAID])
+		;;
+	esac
+	;;
+linux*)
+	AC_DEFINE([unix])
+	AC_DEFINE([linux])
+	;;
+*)
+	;;
+esac
+
+dnl
+dnl __________________________________________________________________
+AC_ROOT_DIM([15.0],,[AC_MSG_ERROR([I need DIM])])
+AC_PATH_XTRA
+
+# should be 3101
+SMIXX_VERSION=`echo $VERSION | \
+         awk 'BEGIN { FS = "."; } \
+	   { printf "%d", ($''1 * 100 + $''2);}'`
+# should be v31r1
+SMIXX_TAG=`echo $VERSION | \
+         awk 'BEGIN { FS = "."; } { printf "v%dr%d", $''1, $''2;}'`
+SMIXX_DATE=`date +%d-%B-%Y:%H:%M`
+AC_SUBST(SMIXX_VERSION)
+AC_SUBST(SMIXX_TAG)
+AC_SUBST(SMIXX_DATE)
+AC_MSG_NOTICE(SMIXX_VERSION=$SMIXX_VERSION SMIXX_TAG=$SMIXX_TAG)
+
+AC_OPTIMIZATION
+AC_DEBUG
+
+dnl __________________________________________________________________
+AC_CONFIG_FILES([Makefile 
+		 src/Makefile 
+		 smixx/Makefile 
+		 smixx/version.h
+		 src/preprocessor/version.hxx
+		 src/stateManager/version.hxx
+		 src/tclTkGUI/smiTclGui
+		 src/tclTkGUI/main.tcl
+		 src/EXAMPLES/run_control/runit
+		 support/Makefile
+		 support/smixx-config
+		 support/smixx.spec
+		 debian/Makefile
+		 Visual/Makefile])
+AC_OUTPUT
+dnl
+dnl EOF
+dnl
